package com.ho.flow.mapper;

import com.ho.flow.entity.SendSmsConfig;
import com.ho.flow.vo.req.SendSmsConfig.SendSmsConfigQueryReq;
import com.ho.flow.vo.resp.SendSmsConfig.SendSmsConfigRsp;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface SendSmsConfigMapper {

    List<SendSmsConfigRsp> selectList(@Param("vo") SendSmsConfigQueryReq vo);

    void insertList(List<SendSmsConfig> list);

    int updateById(@Param("vo")SendSmsConfig vo);

    /**
     * 更加userId更新短信配置中用户信息
     * @param vo
     * @return
     */
    int updateByUserId(@Param("vo")SendSmsConfig vo);

    int deleteBatch(@Param("ids")List<Integer> ids);
}
